PHP-Erweiterung GD Library installieren Webhosting

  • Hallo alle zusammen,


    ich habe das Webhosting-Paket Neujahrssau.


    Ich habe mit Zeta-Producer eine Webseite mit Online-CMS erstellt. Voraussetzungen das dies funktioniert sind:


    1) Auf Ihrem Webserver muss die Scriptsprache PHP (Version 5.3 oder höher) installiert sein.

    2) PHP muss Schreibrechte innerhalb Ihres Webspace besitzen.

    3) Zusätzlich ist die PHP-Erweiterung "GD Library" erforderlich, wenn Sie Bilder über das Online-CMS einfügen möchten.


    Punkt 1 ist klar. Bei Punkt 2 muss ich da noch etwas einstellen? Richitg Kopfzerbrechen macht mir aber Punkt 3. Wie kann ich in meinem Paket diese Erweiterung hinzufügen. Über Anwendungen ist dies nicht zu finden.


    Ich bedanke mich schon im Voraus für eure Bemühungen.

  • Laut Online-Handbuch gibt es eine Funktion in Zeta-Producer um zu prüfen, ob der Webserver die Voraussetzungen erfüllt.


    Edit: Wobei ich zwar nicht alle PHP-Versionen angeschaut habe, aber bei denen, die ich verwende, ist die GDlib jedenfalls installiert. Kann mir auch schwer vorstellen, dass das in irgendeiner anderen PHP-Version hier fehlen sollte.

  • Wenn PHP 5.3 gefordert ist, kann es (je nach eingestellter PHP Version) zu Inkompatibilitäten mit aktuellen PHP (7.x) Versionen kommen.


    Die Verwendung von PHP 5.x würde ich vermeiden, da diese Versionen keine Sicherheitsupdates erfahren.


    Ich kenne die eingesetzte Software jedoch nicht, wenn du Glück hast funktioniert diese jedoch auch mit aktuellem PHP


    Gruß

    Lennart

  • Vielen Dank für eure Hilfe.


    Ich habe das Passwort geändert, die Webseite noch einmal komplett gelöscht und unter Kodierung einmal "BOM schreiben" aktiviert und wieder deaktiviert. Danach die Webseite wieder komplett neu hochgeladen. Jetzt geht es. Was davon nun geholfen hat kann ich leider nicht sagen.


    Wie gesagt, ich danke euch allen.